[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TStream.Write

Write a number of bytes to the stream.

## Declaration

Source position: objects.pp line 303

`procedure TStream.Write(`
`var Buf;`
`Count: LongInt`
`); virtual;`

## Description

Write is an abstract method that should be overridden by descendent objects.

Write writes Count bytes to the stream from Buf. It updates the position pointer, increasing it's value with Count.

For an example, see TStream.Read.

## Errors

No checking is done to see if Buf actually contains Count bytes.

## See also

TStream.Read |  | Read data from stream to buffer.
TStream.WriteStr |  | Write a pascal string to the stream.
TStream.StrWrite |  | Write a null-terminated string to the stream.